# List Transactions by Block Hash EVM

This endpoint will list transactions by an attribute `transactionHash`. The transactions listed will detail additional information such as addresses, height, time of creation in Unix timestamp, etc.


> **Note:** Only transactions from blocks produced in the last 14 days (1,209,600 seconds) are available through this endpoint.

- **Endpoint:** `GET https://rest.cryptoapis.io/blocks/evm/{blockchain}/{network}/hash/{blockHash}/transactions`
- **Authentication:** `x-api-key` header
- **Credits cost:** 20 credits for 1 result by default; per blockchain: Ethereum: 20, Ethereum Classic: 26, Binance Smart Chain: 50, Polygon: 40, Arbitrum: 32, Avalanche: 36, Base: 24, Optimism: 28, Tron: 30
- **Documentation page:** https://developers.cryptoapis.io/v-2.2024-12-12-175/RESTapis/blocks-evm/list-transactions-by-block-hash-evm/get

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `blockchain` | string | yes | Represents the specific blockchain protocol name Allowed values: `ethereum`, `ethereum-classic`, `binance-smart-chain`, `tron`, `polygon`, `avalanche`, `arbitrum`, `base`, `optimism`. |
| `network` | string | yes | Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while networks like "testnet", "sepolia" are test networks. Allowed values: `mainnet`, `mordor`, `testnet`, `sepolia`, `nile`, `amoy`, `fuji`. |
| `blockHash` | string | yes | Represents the hash of the block, which is its unique identifier. It represents a cryptographic digital fingerprint made by hashing the block header twice through the SHA256 algorithm. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `limit` | integer | no | Defines how many items should be returned in the response per page basis. |
| `offset` | integer | no | The starting index of the response items, i.e. where the response should start listing the returned items. |

## Responses

| Status | Description |
| --- | --- |
| 200 | The request has been successful. |
| 400 | 400 |
| 401 | 401 |
| 402 | 402 |
| 403 | 403 |
| 409 | The data provided seems to be invalid. |
| 415 | The selected Media Type is unavailable. The Content-Type header should be 'application/json'. |
| 422 | Your request body for POST requests must have a structure of { data: { item: [...properties] } } |
| 429 | The request limit has been reached. There can be maximum {requests} requests per {seconds} second(s) made. Please contact our team via email if you need more or upgrade your plan. |
| 500 | An unexpected server error has occurred, we are working to fix this. Please try again later and in case it occurs again please report it to our team via email. |

### Example 200 response

```json
{
  "apiVersion": "2024-12-12",
  "requestId": "601c1710034ed6d407996b30",
  "context": "yourExampleString",
  "data": {
    "limit": 50,
    "offset": 0,
    "total": 100,
    "items": [
      {
        "contract": 4.755369970448335e+47,
        "fee": {
          "amount": "0.00016932",
          "unit": "TRX"
        },
        "hash": "0x8ff7684331492af9bf8026938535a2703a8f2f9b81ef902a5c8b9e41cf9008b7",
        "inputData": 123,
        "positionInBlock": 1,
        "recipient": "0xf163C1592EbC8D3C01c146d95c3ea492b5A88652",
        "sender": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
        "status": "mined",
        "timestamp": 1618208236,
        "value": {
          "amount": "0.07540846",
          "unit": "SUN"
        },
        "gasLimit": 21000,
        "gasUsed": 123456,
        "gasPrice": {
          "amount": "12345",
          "unit": "WEI"
        },
        "blockchainSpecific": {
          "bandwidth": "268",
          "energy": 127
        }
      }
    ]
  }
}
```

### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apiVersion` | string | yes | Specifies the version of the API that incorporates this endpoint. |
| `requestId` | string | yes | Defines the ID of the request. The `requestId` is generated by Crypto APIs and it's unique for every request. |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `data` | object | yes |  |
| `data.limit` | integer | yes | Defines how many items should be returned in the response per page basis. |
| `data.offset` | integer | yes | The starting index of the response items, i.e. where the response should start listing the returned items. |
| `data.total` | integer | yes | Defines the total number of items returned in the response. |
| `data.items` | array of object | yes |  |
| `data.items[].contract` | integer | yes | Numeric representation of the transaction contract |
| `data.items[].fee` | object | yes |  |
| `data.items[].fee.amount` | string | yes | Represents the fee amount. |
| `data.items[].fee.unit` | string | yes | Defines the fee unit |
| `data.items[].hash` | string | yes | String representation of the transaction hash |
| `data.items[].inputData` | integer | yes | Numeric representation of the transaction input |
| `data.items[].positionInBlock` | integer | yes | Represents the index position of the transaction in the specific block. |
| `data.items[].recipient` | string | yes | String representation of the transaction to address |
| `data.items[].sender` | string | yes | String representation of the transaction from address |
| `data.items[].status` | string | yes | String representation of the transaction status |
| `data.items[].timestamp` | integer | yes | Defines the exact date/time in Unix Timestamp when this transaction was mined, confirmed or first seen in Mempool, if it is unconfirmed. |
| `data.items[].value` | object | yes |  |
| `data.items[].value.amount` | string | yes | String representation of the amount value |
| `data.items[].value.unit` | string | yes |  |
| `data.items[].gasLimit` | integer | yes | String representation of the transaction gas |
| `data.items[].gasUsed` | integer | yes | Numeric representation of the transaction gas used |
| `data.items[].gasPrice` | object | yes |  |
| `data.items[].gasPrice.amount` | string | yes | Numeric representation of the transaction gas price |
| `data.items[].gasPrice.unit` | string | yes | Defines the specific unit of the fee. |
| `data.items[].blockchainSpecific` | object | yes |  |
| `data.items[].blockchainSpecific.bandwidth` | string | yes | Represents the amount of bandwidth used by transaction |
| `data.items[].blockchainSpecific.energy` | integer | yes | Represents the amount of energy used by transaction |
